It's all about the answers!

Ask a question

Zip version of RTC 6.0.6 Eclipse client on Mac OS X-64 different from Windows and Linux zip


Isabel Murakami (3811515) | asked Oct 09 '18, 10:30 a.m.

We are trying to install an Eclipse feature that we developed into the RTC 6.0.6 Eclipse client on Mac OS X-64.

The installation fails with the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: MyFeature Client Feature 1.2.3.101808282330
(com.ibm.MyFeature.rtc.client.feature.feature.group 1.2.3.101808282330)

Missing requirement:
EMF Ecore 2.10.2.v20150123-0348 (org.eclipse.emf.ecore 2.10.2.v20150123-0348) requires
'package javax.crypto 0.0.0' but it could not be found


Cannot satisfy dependency:
From: MyFeature Client Feature 1.2.3.101808282330 (com.ibm.MyFeature.rtc.client.feature.feature.group 1.2.3.101808282330)
To: com.ibm.MyFeature.rtc.process.common [1.2.3.101808282330]
Cannot satisfy dependency:
From: MyFeature RTC Common Plug-in 1.2.3.101808282330 (com.ibm.MyFeature.rtc.process.common 1.2.3.101808282330)
To: bundle com.ibm.team.repository.common 1.3.1000
Cannot satisfy dependency:
From: Repository component - common 1.4.4000.v20180417_0035 (com.ibm.team.repository.common 1.4.4000.v20180417_0035)
To: bundle org.eclipse.emf.ecore 0.0.0

The RTC Eclipse client was downloaded from
https://jazz.net/downloads/rational-team-concert/releases/6.0.6/RTC-Client-Mac64-6.0.6.zip.

The same Eclipse feature installs just fine into the RTC 6.0.4 Eclipse client for Mac OS X-64 and
under RTC 6.0.6 Eclipse clients on Linux and Windows.
The Linux and Windows RTC 6.0.6 Eclipse client that work are using the bundled Java.
I also tried running the RTC 6.0.6 Eclipse client on macOS under different Java 7 and Java 8 version in addition to the bundled Java.

Question:
Why the RTC 6.0.6 zip version for MacOS is different from the the ones for Linux and Windows ?

Be the first one to answer this question!


Register or to post your answer.